For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Edit
HomeAPI Reference
HomeAPI Reference
  • Overview
    • API reference
  • Swagger Plant Store - OpenAPI 3.1
      • POSTAdd a new plant to the store
      • PUTUpdate an existing plant
      • GETSearch plants by status
      • GETSearch plants by tags
      • GETFind plant by ID
  • Plant Store AsyncAPI
Edit
LogoLogo
Swagger Plant Store - OpenAPI 3.1plant

Search plants by status

|View as Markdown|Open in Claude|
GET
https://api.plantstore.dev/v3/plant/search/status
GET
/v3/plant/search/status
$curl https://api.plantstore.dev/v3/plant/search/status
200Plants with status available
1[
2 {
3 "id": 101,
4 "name": "Fern",
5 "status": "available",
6 "tags": [
7 "green",
8 "leafy"
9 ]
10 },
11 {
12 "id": 102,
13 "name": "Palm",
14 "status": "available",
15 "tags": [
16 "tropical"
17 ]
18 }
19]
Filter plants based on their current status.
Was this page helpful?
Previous

Update an existing plant

Next

Search plants by tags

Built with

Query parameters

statusenumOptional
The status of plants to search for.
Allowed values:

Response

List of plants matching the status filter
idinteger
namestring
statusstring
tagslist of strings